For the complete documentation index, see llms.txt. This page is also available as Markdown.

Paused

get

Checks if the lending pool is paused.

Authorizations
AuthorizationstringRequired
Query parameters
addressstringRequired
  • The address of the lending pool from the query parameters.
chainIdstringRequired
  • The chain ID of the lending pool from the query parameters.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Responses
200

A promise that resolves to a LendingPoolAPIResponse containing a boolean indicating whether the lending pool is paused.

application/json

Represents the structure of the API response for the Lending Pool.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

Provides a message related to the API response.

databooleanOptional

Contains the data returned by the API, if any.

get/lending-pool/paused
GET /lending-pool/paused?address=text&chainId=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to a LendingPoolAPIResponse containing a boolean indicating whether the lending pool is paused.

{
  "success": true,
  "message": "text",
  "data": true
}